Subject: bug#75559: gnupg update to 2.4.7 causing guix build -K seahorse to fail

From: Leo Famulari <[email-masked]>
Date: Tue, 14 Jan 2025 15:45:05 -0500

On Tue, Jan 14, 2025 at 05:52:46PM +0100, Rostislav Svoboda wrote:
> I believe the commit:
>   64d95c78e3 2024-12-29 gnu: gnupg: Update to 2.4.7.
> causes guix build --keep-failed seahorse to fail. The build log shows:

Thanks for the report!

> From casually looking at gpg_check_version.py, it appears to check
> whether the available GPG version is between 2.2.0 and 2.3.0, so 2.4.7
> fails that check.

I cloned the seahorse Git repository:

https://gitlab.gnome.org/GNOME/seahorse

Then, I grepped for the string "2.3.0". The only match is in
'meson.build'.

Guix includes seahorse version 43.0. I checked the Git log of
Seahorse's 'meson.build' since version 43.0, and found this interesting
commit:

------
$ git log 43.0..HEAD meson.build
[...]
commit 9260c74779be3d7a378db0671af862ffa3573d42
Author: Xi Ruoyao <[email-masked]>
Date:   Wed Dec 21 20:58:26 2022 +0800

    Allow building with GnuPG-2.4.x
------

This commit is included in Seahorse 47.0 and later versions. Hopefully
that helps!